BSON_HAS_FIELD(3)

SYNOPSIS

            bool
            bson_has_field (const bson_t *bson, const char *key);

PARAMETERS

    •   bson: A bson_t <>.

    •   key: A string containing the name of the field to check for.

DESCRIPTION

Checks to see if key contains an element named key. This also accepts "dotkey" notation such as "a.b.c.d".

RETURNS

true if key was found within bson; otherwise false.

Author
MongoDB, Inc

Copyright
2009-present, MongoDB, Inc.